<?php

namespace Src\Modules\Auth\Interfaces\Dto\Admin;


interface IAdminResource extends IAbstractAdmin
{
    public function toArray(array $fields = []): array;
    public function getEmail():string;
    public function getEditFormUrl(): string;
    public function getDeleteUrl(): string;
}